#include "pitches442.h"

// Constant
int SPEAKER = 12;
int BPM = 120;
int RATIO = 90;
//
int qn_on = ((60000 / BPM) * RATIO) / 100;
int qn_ps = 60000 / BPM;

int melody[] = {
  NOTE_D4,  NOTE_E4,  NOTE_D4,  NOTE_G4,  NOTE_FS4,
  NOTE_D4,  NOTE_E4,  NOTE_D4,  NOTE_A4,  NOTE_G4,
  NOTE_D4,  NOTE_D5,  NOTE_B4,  NOTE_G4,  NOTE_FS4,
  NOTE_E4,  NOTE_C5,  NOTE_B4,  NOTE_G4,  NOTE_A4,
  NOTE_G4
};
int Durations[] = {
  1,  1,  1,  1,  2,
  1,  1,  1,  1,  2,
  1,  1,  1,  1,  1,
  1,  1,  1,  1,  1,
  2
};


void setup() {
  pinMode(SPEAKER, OUTPUT);
}

void loop() {
  int i;
  for (i = 0; i < 21; i++) {
    tone(SPEAKER, melody[i], (qn_on*Durations[i])); // pin, fequency, duration(ms)
    delay(qn_ps*Durations[i]); // ms
  }
  delay(qn_ps*4);
}
